USN-4923-1: EDK II vulnerabilities

20 April 2021

Several security issues were fixed in EDK II.

Releases

Packages

  • edk2 - UEFI firmware for virtual machines

Details

Laszlo Ersek discovered that EDK II incorrectly handled recursion. A
remote attacker could possibly use this issue to cause EDK II to consume
resources, leading to a denial of service. (CVE-2021-28210)

Satoshi Tanda discovered that EDK II incorrectly handled decompressing
certain images. A remote attacker could use this issue to cause EDK II to
crash, resulting in a denial of service, or possibly execute arbitrary
code. (CVE-2021-28211)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 20.10
Ubuntu 20.04

After a standard system update you need to restart the virtual machines
that use the affected firmware to make all the necessary changes.